> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all billing products

> List all products with billing prices



## OpenAPI

````yaml billing.latest.product.live GET /billing-products
openapi: 3.0.0
info:
  title: Billing
  description: Manage Billing
  version: 0.0.1
servers:
  - url: https://dev.seqhq.io
    description: E2E
  - url: https://dev.seqhq.io
    description: DEV
  - url: https://sandbox.sequencehq.com
    description: SANDBOX
  - url: https://eu.sequencehq.com
    description: PRODUCTION
security: []
tags:
  - name: Credits
  - name: Prices
  - name: Billing Schedules
  - name: Discounts
paths:
  /billing-products:
    servers: []
    parameters: []
    get:
      tags:
        - Prices
      summary: List all billing products
      description: List all products with billing prices
      operationId: getBillingProducts
      parameters:
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Maximum number of objects to return per-page. Must be between 1 and
            100 (inclusive).
          required: false
          schema:
            type: integer
        - name: after
          in: query
          description: >-
            Pagination cursor. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.after` or `pagination.before` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: before
          in: query
          description: >-
            Pagination cursor. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.after` or `pagination.before` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: name
          in: query
          description: Filter products by name (partial, case-insensitive match).
          required: false
          schema:
            type: string
        - name: taxCategoryId
          in: query
          description: Filter products by tax category id (comma-separated).
          required: false
          schema:
            type: string
        - name: recognitionMethod
          in: query
          description: >-
            Filter products by revenue recognition method (comma-separated).
            Options: STRAIGHT_LINE, USAGE, MILESTONE, POINT_IN_TIME
          required: false
          schema:
            type: string
        - name: sequence-version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListBillingProductsResponse'
                example:
                  items:
                    - id: f409d651-c475-4142-aafd-a5d2bd74d4f9
                      name: Fixed priced product
                      label: Fixed priced product - UK
                      sequenceAccountId: 683fe518-60c8-429f-9320-8aa7efc20bcc
                      createdAt: '2022-06-28T16:47:00Z'
                      updatedAt: '2022-06-28T16:47:00Z'
                      prices: []
                      taxCategoryName: SaaS
                      recognitionMethod: USAGE
                      integrationIds:
                        - service: NetSuite
                          id: '1234'
                          lastSynced: '2022-06-28T16:47:00Z'
                          url: >-
                            https://system.netsuite.com/app/common/item/item.nl?id=1234
                          isPending: false
                  pagination:
                    after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                    before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                    totalResultSize: 10
              examples:
                ListBillingProductsResponse:
                  summary: ''
                  value:
                    items:
                      - id: f409d651-c475-4142-aafd-a5d2bd74d4f9
                        name: Fixed priced product
                        label: Fixed priced product - UK
                        sequenceAccountId: 683fe518-60c8-429f-9320-8aa7efc20bcc
                        createdAt: '2022-06-28T16:47:00Z'
                        updatedAt: '2022-06-28T16:47:00Z'
                        prices: []
                        taxCategoryName: SaaS
                        recognitionMethod: USAGE
                        integrationIds:
                          - service: NetSuite
                            id: '1234'
                            lastSynced: '2022-06-28T16:47:00Z'
                            url: >-
                              https://system.netsuite.com/app/common/item/item.nl?id=1234
                            isPending: false
                    pagination:
                      after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                      before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                      totalResultSize: 10
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    ListBillingProductsResponse:
      required:
        - items
        - pagination
      type: object
      example:
        items:
          - id: f409d651-c475-4142-aafd-a5d2bd74d4f9
            name: Fixed priced product
            label: Fixed priced product - UK
            sequenceAccountId: 683fe518-60c8-429f-9320-8aa7efc20bcc
            createdAt: '2022-06-28T16:47:00Z'
            updatedAt: '2022-06-28T16:47:00Z'
            prices: []
            taxCategoryName: SaaS
            recognitionMethod: USAGE
            integrationIds:
              - service: NetSuite
                id: '1234'
                lastSynced: '2022-06-28T16:47:00Z'
                url: https://system.netsuite.com/app/common/item/item.nl?id=1234
                isPending: false
        pagination:
          after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
          before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
          totalResultSize: 10
      properties:
        items:
          type: array
          description: Billing products
          example:
            - id: f409d651-c475-4142-aafd-a5d2bd74d4f9
              name: Fixed priced product
              label: Fixed priced product - UK
              sequenceAccountId: 683fe518-60c8-429f-9320-8aa7efc20bcc
              createdAt: '2022-06-28T16:47:00Z'
              updatedAt: '2022-06-28T16:47:00Z'
              prices: []
              taxCategoryName: SaaS
              recognitionMethod: USAGE
              integrationIds:
                - service: NetSuite
                  id: '1234'
                  lastSynced: '2022-06-28T16:47:00Z'
                  url: https://system.netsuite.com/app/common/item/item.nl?id=1234
                  isPending: false
          items:
            $ref: '#/components/schemas/BillingProduct'
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
    BillingProduct:
      required:
        - createdAt
        - id
        - integrationIds
        - label
        - name
        - prices
        - recognitionMethod
        - sequenceAccountId
        - updatedAt
      type: object
      example:
        id: f409d651-c475-4142-aafd-a5d2bd74d4f9
        name: Fixed priced product
        label: Fixed priced product - UK
        sequenceAccountId: 683fe518-60c8-429f-9320-8aa7efc20bcc
        createdAt: '2022-06-28T16:47:00Z'
        updatedAt: '2022-06-28T16:47:00Z'
        prices: []
        taxCategoryName: SaaS
        recognitionMethod: USAGE
        integrationIds:
          - service: NetSuite
            id: '1234'
            lastSynced: '2022-06-28T16:47:00Z'
            url: https://system.netsuite.com/app/common/item/item.nl?id=1234
            isPending: false
      properties:
        id:
          type: string
          description: Unique Product ID
          example: f409d651-c475-4142-aafd-a5d2bd74d4f9
        name:
          type: string
          description: The customer-facing name of this Product
          example: Fixed priced product
        label:
          type: string
          description: The internal descriptive name of this item
          example: Fixed priced product - UK
        sequenceAccountId:
          type: string
          description: Sequence Account ID
          example: 683fe518-60c8-429f-9320-8aa7efc20bcc
        createdAt:
          type: string
          description: Created at
          example: '2022-06-28T16:47:00Z'
        updatedAt:
          type: string
          description: Updated At
          example: '2022-06-28T16:47:00Z'
        prices:
          type: array
          description: Prices
          example: []
          items: {}
        taxCategoryName:
          type: string
          description: The tax category associated with the product
          nullable: true
          example: SaaS
        recognitionMethod:
          $ref: '#/components/schemas/RevenueRecognitionMethod'
          description: Indication of how revenue is recognised for this product
        integrationIds:
          type: array
          description: External services which are linked to this Product
          example:
            - service: NetSuite
              id: '1234'
              lastSynced: '2022-06-28T16:47:00Z'
              url: https://system.netsuite.com/app/common/item/item.nl?id=1234
              isPending: false
          items:
            $ref: '#/components/schemas/IntegrationId'
    PaginationMeta:
      type: object
      description: Results pagination
      example:
        after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize: 10
      properties:
        after:
          type: string
          description: Cursor for the page after this (if it exists)
          nullable: true
          example: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before:
          type: string
          description: Cursor for the page before this (if it exists)
          nullable: true
          example: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize:
          type: integer
          description: Total number of entries across all pages
          format: int64
          nullable: true
          example: 10
    RevenueRecognitionMethod:
      type: string
      example: USAGE
      enum:
        - STRAIGHT_LINE
        - USAGE
        - MILESTONE
        - POINT_IN_TIME
    IntegrationId:
      required:
        - id
        - isPending
        - service
      type: object
      example:
        service: Xero
        id: 74ed2615-4730-49ab-9445-74f31723a206
        isPending: false
      properties:
        service:
          $ref: '#/components/schemas/IntegrationService'
        id:
          type: string
          example: 74ed2615-4730-49ab-9445-74f31723a206
        isPending:
          type: boolean
          example: false
    IntegrationService:
      type: string
      example: Xero
      enum:
        - Amazon_Redshift
        - GoCardless
        - Google_BigQuery
        - Google_Sheets
        - HubSpot
        - NetSuite
        - QuickBooks_Online
        - Salesforce
        - Slack
        - Snowflake
        - Stripe
        - Xero
        - Avalara
        - Anrok
        - Attio
        - Numeral
        - Rillet
        - Sphere

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.